SessionMessageImpl (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.session.SessionMessageImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.session
Class SessionMessageImpl

    java.lang.Object
      org.apache.catalina.ha.ClusterMessageBase
          org.apache.catalina.ha.session.SessionMessageImpl

All Implemented Interfaces:
  java.io.Serializable, ClusterMessage, SessionMessage

    public class SessionMessageImpl

extends ClusterMessageBase
implements SessionMessage, java.io.Serializable

Session cluster message

Version:
  $Revision: 531471 $ $Date: 2007-04-23 16:11:44 +0200 (Mon, 23 Apr 2007) $
Author:
  Filip Hanik, Peter Rossbach
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.ha.ClusterMessageBase
`address`

Fields inherited from interface org.apache.catalina.ha.session.SessionMessage
`EVT_ALL_SESSION_DATA, EVT_ALL_SESSION_TRANSFERCOMPLETE, EVT_GET_ALL_SESSIONS, EVT_SESSION_ACCESSED, EVT_SESSION_CREATED, EVT_SESSION_DELTA, EVT_SESSION_EXPIRED`

Constructor Summary
`SessionMessageImpl()`
`SessionMessageImpl(java.lang.String contextName, int eventtype, byte[] session, java.lang.String sessionID, java.lang.String uniqueID)` Creates a session message.

Method Summary
`java.lang.String` | `getContextName()`
`int` | `getEventType()` returns the event type
`java.lang.String` | `getEventTypeString()` clear text event type name (for logging purpose only)
`byte[]` | `getSession()`
`java.lang.String` | `getSessionID()`
`long` | `getTimestamp()`
`java.lang.String` | `getUniqueId()`
`void` | `setTimestamp(long time)` set message send time but only the first setting works (one shot)
`void` | `setUniqueId(java.lang.String uniqueId)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.catalina.ha.ClusterMessageBase
`getAddress, setAddress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.catalina.ha.ClusterMessage
`getAddress, setAddress`

Constructor Detail

### SessionMessageImpl

    public SessionMessageImpl()

### SessionMessageImpl

    public SessionMessageImpl(java.lang.String contextName,
                              int eventtype,
                              byte[] session,
                              java.lang.String sessionID,
                              java.lang.String uniqueID)

  Creates a session message. Depending on what event type you want this message to represent, you populate the different parameters in the constructor
  The following rules apply dependent on what event type argument you use:
  EVT_SESSION_CREATED
  The parameters: session, sessionID must be set.
  EVT_SESSION_EXPIRED
  The parameters: sessionID must be set.
  EVT_SESSION_ACCESSED
  The parameters: sessionID must be set.
  EVT_SESSION_EXPIRED_XXXX
  The parameters: sessionID must be set.
  EVT_SESSION_DELTA
  Send attribute delta (add,update,remove attribute or principal, ...).
  EVT_ALL_SESSION_DATA
  Send complete serializes session list
  EVT_ALL_SESSION_TRANSFERCOMPLETE
  send that all session state information are transfered after GET_ALL_SESSION received from this sender.

  Parameters:
    `contextName` - - the name of the context (application
    `eventtype` - - one of the 8 event type defined in this class
    `session` - - the serialized byte array of the session itself
    `sessionID` - - the id that identifies this session
    `uniqueID` - - the id that identifies this message

Method Detail

### getEventType

    public int getEventType()

  returns the event type

  Specified by:
    `getEventType` in interface `SessionMessage`
  Returns:
    one of the event types EVT_XXXX

### getSession

    public byte[] getSession()

  Specified by:
    `getSession` in interface `SessionMessage`
  Returns:
    the serialized data for the session

### getSessionID

    public java.lang.String getSessionID()

  Specified by:
    `getSessionID` in interface `SessionMessage`
  Returns:
    the session ID for the session

### setTimestamp

    public void setTimestamp(long time)

  set message send time but only the first setting works (one shot)

  Specified by:
    `setTimestamp` in interface `ClusterMessage`
  Overrides:
    `setTimestamp` in class `ClusterMessageBase`

### getTimestamp

    public long getTimestamp()

  Specified by:
    `getTimestamp` in interface `ClusterMessage`
  Overrides:
    `getTimestamp` in class `ClusterMessageBase`

### getEventTypeString

    public java.lang.String getEventTypeString()

  clear text event type name (for logging purpose only)

  Specified by:
    `getEventTypeString` in interface `SessionMessage`
  Returns:
    the event type in a string representating, useful for debugging

### getContextName

    public java.lang.String getContextName()

  Specified by:
    `getContextName` in interface `SessionMessage`

### getUniqueId

    public java.lang.String getUniqueId()

  Specified by:
    `getUniqueId` in interface `ClusterMessage`
  Overrides:
    `getUniqueId` in class `ClusterMessageBase`

### setUniqueId

    public void setUniqueId(java.lang.String uniqueId)

  Specified by:
    `setUniqueId` in interface `ClusterMessage`
  Overrides:
    `setUniqueId` in class `ClusterMessageBase`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.